Subject: bug#25459: sed bug: native sed-4.3 appends excessive carriage-returns when run in binary mode on windows

From: Assaf Gordon <[email-masked]>
Date: Mon, 24 Dec 2018 01:35:22 -0700

tags 25459 fixed
close 25459
stop

Hello,

On 2017-01-17 5:25 p.m., Assaf Gordon wrote:
> I'm testing on a Windows R2008 with cygwin64.
> I've compared 3 binaries (below):
>    sed-4.2.2-cygwin.exe:
>        The default that's installed by cygwin itself.
> 
>    sed-4.3-cygwin-gcc-5.4.0.exe:
>        Built from tarball using cygwin's default gcc compiler.
> 
>    sed-4.3-mingw-64bit.exe:
>        Built from tarball using:
>        ./configure --host=x86_64-w64-mingw32 --disable-nls
> 

sed version 4.7 (released 4 days ago) includes improved
and consistent CR/LF handling under cygwin and mingw.

Please give it a try (and of course, if there are other issues,
do report them).

I'm closing this item as "fixed", but discussion can continue by
replying to this thread.

-assaf